## libetpan 0.35

=== Makefile ===
# Main makefile

srcdir      = .
top_builddir  = .
prefix      = /usr/local
exec_prefix = ${prefix}
libdir      = ${exec_prefix}/lib
includedir  = ${prefix}/include
mandir      = ${prefix}/man
bindir	    = ${exec_prefix}/bin
SHELL       = /bin/sh
RM          = rm -fr
INSTALL	    = /usr/bin/install -c
LIBTOOL	    = $(SHELL) $(top_builddir)/libtool


#SUBDIRS     = imap nntp pop3 smtp tools imf mbox mh maildir mime generic
#SUBLIBS	    = imap/libmailimap.la nntp/libnewsnntp.la pop3/libmailpop3.la \
#	      smtp/libmailsmtp.la tools/libtools.la imf/libmailimf.la \
#              mbox/libmailmbox.la mh/libmailmh.la mime/libmailmime.la \
#	      maildir/libmaildir.la generic/libmaildriver.la

SUBDIRS     = src

#TARGET      = libetpan.la
#VERSINFO    = 2:2:1
#CC          = gcc
#LDFLAGS     = -llockfile  -lssl -lcrypto  -pthread  -ldb-4.2

all: config-files prepare all-recursive

distclean: clean distclean-recursive
	$(RM) config.h config.cache config.log config.status \
		Makefile Rules *~ gmon.out *.bak core libtool \
		libetpan-config src/main/libetpan_version.h \
		libetpan-config.h

maintainer-clean: distclean
	$(RM) configure config.h.in aclocal.m4 config.guess config.sub ltmain.sh autom4te.cache

realclean: maintainer-clean

all-recursive install-recursive clean-recursive \
	distclean-recursive prepare-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
        list='$(SUBDIRS)'; for subdir in $$list; do \
         target=`echo $@ | sed s/-recursive//`; \
         echo "Making $$target in $$subdir"; \
         (cd $$subdir && $(MAKE) $$target) \
          || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
        done && test -z "$$fail"

install: all install-dirs install-recursive
	$(INSTALL) -m 755 libetpan-config $(DESTDIR)$(bindir)
	$(INSTALL) -m 644 libetpan-config.h $(DESTDIR)$(includedir)/libetpan
	$(INSTALL) -m 644 src/main/libetpan.h $(DESTDIR)$(includedir)

install-dirs:
	$(INSTALL) -d -m 755 $(DESTDIR)$(includedir)
	$(INSTALL) -d -m 755 $(DESTDIR)$(includedir)/libetpan
	$(INSTALL) -d -m 755 $(DESTDIR)$(bindir)

#realclean: maintainer-clean

clean: clean-recursive
	$(RM) $(TARGET) .libs $(top_builddir)/include

#$(TARGET): config-files $(SUBLIBS)
#	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -o $@ $(SUBLIBS) \
#	  -rpath $(libdir) -version-info $(VERSINFO)

#$(SUBLIBS): all-recursive

prepare: prepare-recursive
	mkdir -p ${top_builddir}/include/libetpan
	cp -f libetpan-config.h $(top_builddir)/include/libetpan


# config files
config-files: ${srcdir}/configure ${srcdir}/config.h.in Makefile config.status Rules ${srcdir}/src/Makefile

${srcdir}/configure: configure.in
	cd ${srcdir} && aclocal && autoconf

${srcdir}/config.h.in: configure.in 
	rm -f ${srcdir}/config.h.in && cd ${srcdir} && autoheader

Makefile: Makefile.in config.status
	cd ${top_builddir} && CONFIG_FILES=Makefile CONFIG_HEADERS= ./config.status

${srcdir}/src/Makefile : ${srcdir}/src/Makefile.in config.status
	cd ${top_builddir} && CONFIG_FILES=src/Makefile CONFIG_HEADERS= ./config.status

#${srcdir}/src/low-level/Makefile : ${srcdir}/src/low-level/Makefile.in config.status
#	cd ${top_builddir} && CONFIG_FILES=src/low-level/Makefile CONFIG_HEADERS= ./config.status

Rules: Rules.in config.status
	cd ${top_builddir} && CONFIG_FILES=Rules CONFIG_HEADERS= ./config.status

config.status: configure
	./config.status --recheck

=== src/Makefile ===
top_builddir = ..
prefix      = /usr/local
exec_prefix = ${prefix}
libdir      = ${exec_prefix}/lib
includedir  = ${prefix}/include
mandir      = ${prefix}/man
bindir	    = ${exec_prefix}/bin
SHELL       = /bin/sh
RM          = rm -fr
INSTALL	    = /usr/bin/install -c
LIBTOOL	    = $(SHELL) $(top_builddir)/libtool


TARGET = libetpan.la

VERSINFO    = 2:2:1
CC          = gcc
LDFLAGS     = -llockfile  -lssl -lcrypto  -pthread  -ldb-4.2

SUBLIBS = data-types/libdata-types.la \
	low-level/liblow-level.la \
	driver/libdriver.la \
	main/libmain.la \
	engine/libengine.la \


SUBDIRS = data-types \
	low-level \
	driver \
	main \
	engine \


all: $(TARGET)

$(TARGET): Makefile $(SUBLIBS)
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -o $@ $(SUBLIBS) \
	  -rpath $(libdir) -version-info $(VERSINFO)

$(SUBLIBS): all-recursive

install: all install-dirs install-recursive
	$(LIBTOOL) --mode=install $(INSTALL) -m 644 $(TARGET) $(DESTDIR)$(libdir)

install-dirs:
	$(INSTALL) -d -m 755 $(DESTDIR)$(libdir)

clean: clean-recursive
	$(RM) -fr $(TARGET) .libs

prepare: prepare-recursive

all-recursive install-recursive clean-recursive \
	distclean-recursive prepare-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
        list='$(SUBDIRS)'; for subdir in $$list; do \
         target=`echo $@ | sed s/-recursive//`; \
         echo "Making $$target in $$subdir"; \
         (cd $$subdir && $(MAKE) $$target) \
          || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
        done && test -z "$$fail"

Makefile: Makefile.in ../config.status
	cd ${top_builddir} && CONFIG_FILES=src/Makefile CONFIG_HEADERS= ./config.status

distclean: clean
	rm -rf Makefile

## libetpan 0.36

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 SUBDIRS     = src
 
 #TARGET      = libetpan.la
-#VERSINFO    = 2:2:1
+#VERSINFO    = 2:3:1
 #CC          = gcc
 #LDFLAGS     = -llockfile  -lssl -lcrypto  -pthread  -ldb-4.2

=== src/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 TARGET = libetpan.la
 
-VERSINFO    = 2:2:1
+VERSINFO    = 2:3:1
 CC          = gcc
 LDFLAGS     = -llockfile  -lssl -lcrypto  -pthread  -ldb-4.2

=== tests/Makefile ===
SHELL       = /bin/sh
RM          = rm -fr
CFLAGS	    = -g -O2 -W -Wall `libetpan-config --cflags`
CC	    = gcc
PROGS	    = frm frm-tree frm-simple readmsg readmsg-simple \
	fetch-attachment compose-msg smtpsend readmsg-uid
LDFLAGS	    = `libetpan-config --libs`
INSTALL     = install -c

prefix=/usr/local
bindir=$(prefix)/bin

FRMCOMMON=frm-common.o option-parser.o

all: $(PROGS)

frm: $(FRMCOMMON) frm.o

frm-tree: $(FRMCOMMON) frm-tree.o

frm-simple: $(FRMCOMMON) frm-simple.o

readmsg: option-parser.o readmsg.o readmsg-common.o

readmsg-secure: option-parser.o readmsg-secure.o \
	readmsg-common.o

readmsg-simple: option-parser.o readmsg-simple.o

readmsg-uid: option-parser.o readmsg-uid.o

fetch-attachment: option-parser.o fetch-attachment.o \
	readmsg-common.o

compose-msg: compose-msg.o

smtpsend: smtpsend.o

# no install
install:

clean:
	$(RM) *.o $(PROGS) *~ .libs

=== src/data-types/Makefile ===
top_builddir = ../..

TARGET = libdata-types
HEADERS = mmapstring.h mailstream.h mailstream_helper.h mail.h \
        mailstream_low.h \
        mailstream_socket.h mailstream_ssl.h \
	mailstream_types.h \
	carray.h clist.h chash.h cinthash.h \
	charconv.h mailsem.h
SOURCES = connect.c md5.c mmapstring.c \
	mailstream_helper.c mailstream_low.c \
        mailstream.c mailstream_socket.c mailstream_ssl.c \
	mapping.c cinthash.c carray.c clist.c chash.c \
	charconv.c maillock.c base64.c \
	mail_cache_db.c mailsem.c

include $(top_builddir)/Rules

=== src/driver/Makefile ===
top_builddir = ../..

SUBLIBS = interface/libinterface.la \
	tools/libtools.la \
	implementation/libimplementation.la \


SUBDIRS = interface \
	tools \
	implementation \


TARGET = libdriver

include $(top_builddir)/Rules

=== src/engine/Makefile ===
top_builddir = ../..

TARGET = libengine
HEADERS = mailengine.h \
	mailprivacy.h \
	mailprivacy_gnupg.h \
	mailprivacy_smime.h \
	mailprivacy_types.h \
	mailprivacy_tools.h \


SOURCES = mailengine.c \
	mailprivacy.c \
	mailprivacy_gnupg.c \
	mailprivacy_smime.c \
	mailprivacy_tools.c \

INCLUDES = -I$(srcdir)/driver/interface \
	-I$(srcdir)/driver/implementation/imap

include $(top_builddir)/Rules

=== src/low-level/Makefile ===
# Generated automatically from Makefile.in by configure.
top_builddir = ../..

TARGET = liblow-level

LDFLAGS =

SUBLIBS = imap/libimap.la \
	imf/libimf.la \
	maildir/libmaildir.la \
	mbox/libmbox.la \
	mh/libmh.la \
	mime/libmime.la \
	nntp/libnntp.la \
	pop3/libpop3.la \
	smtp/libsmtp.la \


SUBDIRS = imap imf maildir mbox mh mime nntp pop3 smtp

include $(top_builddir)/Rules

=== src/main/Makefile ===
TARGET = libmain
HEADERS = libetpan.h libetpan_version.h

SOURCES = libetpan_version.c

top_builddir = ../..
include $(top_builddir)/Rules

=== src/driver/implementation/Makefile ===
SUBLIBS = data-message/libdata-message.la \
	imap/libimap.la \
	maildir/libmaildir.la \
	mbox/libmbox.la \
	mh/libmh.la \
	mime-message/libmime-message.la \
	nntp/libnntp.la \
	pop3/libpop3.la \
	hotmail/libhotmail.la \
	db/libdb.la \


SUBDIRS = data-message \
	imap \
	maildir \
	mbox \
	mh \
	mime-message \
	nntp \
	pop3 \
	hotmail \
	db \


TARGET = libimplementation

top_builddir = ../../..
include $(top_builddir)/Rules

=== src/driver/interface/Makefile ===
top_builddir = ../../..

HEADERS = \
		maildriver.h maildriver_types.h maildriver_types_helper.h \
		maildriver_errors.h \
		mailmessage.h mailmessage_types.h \
		mailstorage.h \
		mailstorage_types.h \
		mailfolder.h \


SOURCES = \
		maildriver.c maildriver_types.c \
		maildriver_tools.c \
		mailmessage.c mailmessage_tools.c mailmessage_types.c \
		maildriver_types_helper.c \
		mailstorage.c \
		mailstorage_tools.c \
		mailfolder.c \


TARGET = libinterface
INCLUDES = -I$(srcdir)/low-level/imf \
	-I$(srcdir)/low-level/mime \
	-I$(srcdir)/data-types \
	-I../tools \

#INCLUDES = -I../tools
#INCLUDES = -I../imf -I../tools -I../mime -I../imap -I../mbox -I../pop3 \
#		-I../nntp -I../mh -I../maildir -I../smtp

include $(top_builddir)/Rules

=== src/driver/tools/Makefile ===
HEADERS = \
		generic_cache_types.h \
		mailthread.h mailthread_types.h \


SOURCES = \
		generic_cache.c imfcache.c \
		mailthread.c mailthread_types.c \


TARGET = libtools
INCLUDES = -I../../low-level/imf -I../../low-level/mime -I../../data-types \
	-I../interface

top_builddir = ../../..
include $(top_builddir)/Rules

=== src/low-level/imap/Makefile ===
top_builddir = ../../..

TARGET = libimap
HEADERS = mailimap_helper.h mailimap.h \
        mailimap_types.h mailimap_types_helper.h \
        mailimap_socket.h mailimap_ssl.h
SOURCES = mailimap_types.c mailimap_types_helper.c \
        mailimap_sender.c \
        mailimap_keywords.c \
        mailimap_parser.c \
        mailimap.c \
        mailimap_helper.c \
        mailimap_socket.c \
        mailimap_ssl.c \
	mailimap_print.c \


INCLUDES = -I$(srcdir)/data-types

include $(top_builddir)/Rules

## libetpan 0.45

=== src/data-types/Makefile ===
--- 
+++ 
@@ -12,6 +12,6 @@
         mailstream.c mailstream_socket.c mailstream_ssl.c \
 	mapping.c cinthash.c carray.c clist.c chash.c \
 	charconv.c maillock.c base64.c \
-	mail_cache_db.c mailsem.c
+	mail_cache_db.c mailsem.c mailsasl.c
 
 include $(top_builddir)/Rules

## libetpan 0.46

=== src/low-level/imap/Makefile ===
--- 
+++ 
@@ -3,7 +3,10 @@
 TARGET = libimap
 HEADERS = mailimap_helper.h mailimap.h \
         mailimap_types.h mailimap_types_helper.h \
-        mailimap_socket.h mailimap_ssl.h
+        mailimap_socket.h mailimap_ssl.h \
+	mailimap_extension.h mailimap_extension_types.h \
+	annotatemore.h acl.h
+
 SOURCES = mailimap_types.c mailimap_types_helper.c \
         mailimap_sender.c \
         mailimap_keywords.c \
@@ -13,6 +16,15 @@
         mailimap_socket.c \
         mailimap_ssl.c \
 	mailimap_print.c \
+	mailimap_extension.c \
+	annotatemore.c \
+	annotatemore_parser.c \
+	annotatemore_sender.c \
+	annotatemore_types.c \
+	acl.c \
+	acl_parser.c \
+	acl_sender.c \
+	acl_types.c
 
 
 INCLUDES = -I$(srcdir)/data-types

## libetpan 0.48

=== doc/Makefile ===
# DSL = /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/html/docbook.dsl
DSL = /usr/share/sgml/docbook/stylesheet/dsssl/modular/html/docbook.dsl
JADE = jade
HTML_RENDER = lynx -force_html -nolist -dump

SOURCES = API README

all:
	@for i in $(SOURCES); do \
		echo $$i - building html; \
		$(JADE) -t sgml -V nochunks -d $(DSL) $$i.sgml > $$i.html; \
		\
		echo $$i - building txt; \
		$(HTML_RENDER) $$i.html > $$i.txt; \
		\
		echo $$i - building multipage HTML; \
		mkdir -p $$i; \
		cd $$i; \
		$(JADE) -t sgml -d $(DSL) ../$$i.sgml; \
		cd ..; \
	done

=== tests/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 RM          = rm -fr
 CFLAGS	    = -g -O2 -W -Wall `libetpan-config --cflags`
 CC	    = gcc
-PROGS	    = frm frm-tree frm-simple readmsg readmsg-simple \
+PROGS	    = smime decrypt pgp frm frm-tree frm-simple readmsg readmsg-simple \
 	fetch-attachment compose-msg smtpsend readmsg-uid
 LDFLAGS	    = `libetpan-config --libs`
 INSTALL     = install -c

=== src/data-types/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
         mailstream_socket.h mailstream_ssl.h \
 	mailstream_types.h \
 	carray.h clist.h chash.h cinthash.h \
-	charconv.h mailsem.h
+	charconv.h mailsem.h maillock.h
 SOURCES = connect.c md5.c mmapstring.c \
 	mailstream_helper.c mailstream_low.c \
         mailstream.c mailstream_socket.c mailstream_ssl.c \

=== src/engine/Makefile ===
--- 
+++ 
@@ -6,14 +6,14 @@
 	mailprivacy_gnupg.h \
 	mailprivacy_smime.h \
 	mailprivacy_types.h \
-	mailprivacy_tools.h \
+	mailprivacy_tools.h
 
 
 SOURCES = mailengine.c \
 	mailprivacy.c \
 	mailprivacy_gnupg.c \
 	mailprivacy_smime.c \
-	mailprivacy_tools.c \
+	mailprivacy_tools.c
 
 INCLUDES = -I$(srcdir)/driver/interface \
 	-I$(srcdir)/driver/implementation/imap

=== src/low-level/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	mime/libmime.la \
 	nntp/libnntp.la \
 	pop3/libpop3.la \
-	smtp/libsmtp.la \
+	smtp/libsmtp.la
 
 
 SUBDIRS = imap imf maildir mbox mh mime nntp pop3 smtp

=== src/driver/interface/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 		mailmessage.h mailmessage_types.h \
 		mailstorage.h \
 		mailstorage_types.h \
-		mailfolder.h \
+		mailfolder.h
 
 
 SOURCES = \
@@ -16,14 +16,14 @@
 		maildriver_types_helper.c \
 		mailstorage.c \
 		mailstorage_tools.c \
-		mailfolder.c \
+		mailfolder.c
 
 
 TARGET = libinterface
 INCLUDES = -I$(srcdir)/low-level/imf \
 	-I$(srcdir)/low-level/mime \
 	-I$(srcdir)/data-types \
-	-I../tools \
+	-I../tools
 
 #INCLUDES = -I../tools
 #INCLUDES = -I../imf -I../tools -I../mime -I../imap -I../mbox -I../pop3 \

=== src/low-level/imap/Makefile ===
--- 
+++ 
@@ -5,7 +5,9 @@
         mailimap_types.h mailimap_types_helper.h \
         mailimap_socket.h mailimap_ssl.h \
 	mailimap_extension.h mailimap_extension_types.h \
-	annotatemore.h acl.h
+	annotatemore.h annotatemore_types.h \
+	acl.h acl_types.h \
+	uidplus.h uidplus_types.h
 
 SOURCES = mailimap_types.c mailimap_types_helper.c \
         mailimap_sender.c \
@@ -24,7 +26,11 @@
 	acl.c \
 	acl_parser.c \
 	acl_sender.c \
-	acl_types.c
+	acl_types.c \
+	uidplus.c \
+	uidplus_sender.c \
+	uidplus_types.c \
+	uidplus_parser.c \
 
 
 INCLUDES = -I$(srcdir)/data-types

=== src/low-level/mime/Makefile ===
top_builddir = ../../..

HEADERS = mailmime.h mailmime_types.h mailmime_content.h mailmime_decode.h \
	mailmime_disposition.h mailmime_write_file.h \
	mailmime_types_helper.h mailmime_write_generic.h \
	mailmime_write_mem.h
SOURCES = mailmime.c mailmime_types.c mailmime_content.c mailmime_decode.c \
	mailmime_disposition.c mailmime_write_file.c \
	mailmime_types_helper.c mailmime_write_generic.c \
	mailmime_write_mem.c
TARGET = libmime
INCLUDES = -I../imf -I$(srcdir)/data-types

include $(top_builddir)/Rules

=== src/low-level/nntp/Makefile ===
top_builddir = ../../..

TARGET = libnntp
SOURCES = newsnntp.c newsnntp_socket.c newsnntp_ssl.c
HEADERS = newsnntp.h newsnntp_socket.h newsnntp_ssl.h newsnntp_types.h
INCLUDES = -I$(srcdir)/data-types

include $(top_builddir)/Rules

=== src/low-level/pop3/Makefile ===
top_builddir = ../../..

TARGET = libpop3
HEADERS = mailpop3.h mailpop3_socket.h mailpop3_helper.h mailpop3_ssl.h \
	mailpop3_types.h
SOURCES = mailpop3.c mailpop3_helper.c mailpop3_socket.c mailpop3_ssl.c
INCLUDES = -I$(srcdir)/data-types

include $(top_builddir)/Rules

=== src/driver/implementation/imap/Makefile ===
top_builddir = ../../../..

HEADERS = \
		imapdriver.h \
		imapdriver_message.h \
		imapdriver_cached.h \
		imapdriver_cached_message.h \
		imapdriver_types.h \
		imapstorage.h


SOURCES = \
		imapdriver.c \
		imapdriver_cached.c \
		imapdriver_cached_message.c \
		imapdriver_message.c \
		imapdriver_tools.c \
		imapstorage.c


TARGET = libimap
INCLUDES = -I../../interface \
	-I../../tools \
	-I$(srcdir)/low-level/imap \
	-I$(srcdir)/low-level/mime \
	-I$(srcdir)/low-level/imf \
	-I$(srcdir)/data-types


include $(top_builddir)/Rules

=== src/driver/implementation/maildir/Makefile ===
top_builddir = ../../../..

HEADERS = \
	maildirdriver.h \
	maildirdriver_cached.h \
	maildirdriver_cached_message.h \
	maildirdriver_message.h \
	maildirdriver_types.h \
	maildirstorage.h


SOURCES = \
	maildirdriver.c \
	maildirdriver_cached.c \
	maildirdriver_cached_message.c \
	maildirdriver_message.c \
	maildirdriver_tools.c \
	maildirstorage.c


TARGET = libmaildir
INCLUDES = -I../../interface \
	-I../../tools \
	-I$(srcdir)/low-level/maildir \
	-I$(srcdir)/low-level/mime \
	-I$(srcdir)/low-level/imf \
	-I$(srcdir)/data-types


include $(top_builddir)/Rules

## libetpan 0.49

=== src/data-types/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
         mailstream.c mailstream_socket.c mailstream_ssl.c \
 	mapping.c cinthash.c carray.c clist.c chash.c \
 	charconv.c maillock.c base64.c \
-	mail_cache_db.c mailsem.c mailsasl.c
+	mail_cache_db.c mailsem.c mailsasl.c \
+	mailstream_cancel.c \
+	timeutils.c
 
 include $(top_builddir)/Rules

## libetpan 0.55-4dev

=== debian/changelog ===
libetpan (0.55-4dev) chinook; urgency=low

  * Upstream release - libetpan13 - fix builddeps

 -- Colin Leroy <colin@colino.net>  Fri, 29 Aug 2008 22:47:37 +0400

libetpan (0.54-1dev) unstable; urgency=low

  * Upstream release

 -- Colin Leroy <colin@colino.net>  Mon,  3 Sep 2007 22:47:37 +0400

libetpan (0.49-3) unstable; urgency=low

  * REALLY upload to unstable.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun,  8 Apr 2007 22:47:37 +0400

libetpan (0.49-2) experimental; urgency=low

  * Upload to unstable.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun,  8 Apr 2007 22:39:02 +0400

libetpan (0.49-1) experimental; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan13.
  * Removed patch included upstream.
  * Upload to experimental for now.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon,  8 Jan 2007 20:44:26 +0300

libetpan (0.48-3) unstable; urgency=low

  * Increased debhelper level to 5 and adjusted debhelper version in
    Build-Depends.
  * Added libetpan-dbg package with library debugging symbols.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri,  5 Jan 2007 00:08:11 +0300

libetpan (0.48-2) unstable; urgency=low

  * Apply patch from Colin Leroy <colin@colino.net> to fix crash when imap
    server returns errors. Closes: #398382.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 10 Dec 2006 15:38:32 +0300

libetpan (0.48-1) unstable; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan10.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 26 Oct 2006 23:17:06 +0400

libetpan (0.47-1) unstable; urgency=low

  * New upstream release.
    - Removed patches included upstream.
    - Did not increase library version in shlibs file, because looks like
      no change was done in the library ABI (although a new header was
      exported)

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 13 Oct 2006 22:44:55 +0400

libetpan (0.46-4) unstable; urgency=low

  * Added upstream patch to fix crash imap-related crash. Closes: #392493.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 13 Oct 2006 14:44:19 +0400

libetpan (0.46-3) unstable; urgency=low

  * Applied patch from Colin Leroy <colin@colino.net> that should fix
    gnutls-related crashes (Closes: #357624, #359054).
  * Fixed debian/watch to stop returning perl bindings as next libetpan
    version.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 25 Sep 2006 23:15:42 +0400

libetpan (0.46-2) unstable; urgency=low

  * Configure with --without-openssl, to force usage of gnutls if both
    openssl and gnutls are available in build environment.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 18 Aug 2006 08:19:03 +0400

libetpan (0.46-1) unstable; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan8.
  * Removed patches - all are in upstream now.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 13 Jul 2006 00:12:13 +0400

libetpan (0.45-4) unstable; urgency=low

  * Avoid attempts to run autotools at build time (Closes: #375611).

 -- Nikita V. Youshchenko <yoush@debian.org>  Wed, 28 Jun 2006 11:10:55 +0400

libetpan (0.45-3) unstable; urgency=low

  * Build against libdb-4.4 (Closes: #367853). Per discussion in that bug,
    this should be safe.
  * Increased version number in shlibs file because of libdb version change.
  * Updated Standards-Version to 3.7.2, no changes required.

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue, 30 May 2006 15:20:54 +0400

libetpan (0.45-2) unstable; urgency=low

  * Add patch by Colin Leroy <colin@colino.net>, already in upstream CVS,
    that shoud fix #356325, #362747 and #358882.
  * Rebuild against libgnutls13. Will they ever stabialize their API?

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 17 Apr 2006 19:15:14 +0400

libetpan (0.45-1) unstable; urgency=low

  * New upstream release.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 23 Mar 2006 08:06:13 +0300

libetpan (0.44-1) unstable; urgency=low

  * New upstream release.

 -- Nikita V. Youshchenko <yoush@debian.org>  Wed, 22 Mar 2006 08:51:23 +0300

libetpan (0.43-1) unstable; urgency=low

  * New upstream release.
  * Removed 02_libetpan-config_tls.dpatch - now upstream.
  * Insreased version in shlibs file, because of a new function in API.

 -- Nikita V. Youshchenko <yoush@debian.org>  Wed,  8 Mar 2006 17:47:35 +0300

libetpan (0.42-1) unstable; urgency=low

  * New upstream release (Closes: #347904).
  * Removed 01_link_libsasl2.dpatch - now upstream.
  * Upstream changed library soname; rename library package to libetpan6.
  * Really changed Maintainer to my debian.org e-mail.
  * Removed obsolete Conflicts:/Replaces: libetpan0.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 15 Jan 2006 16:43:17 +0300

libetpan (0.40-1) unstable; urgency=low

  * New upstream release (Closes: #338280).
  * Increased version in shlibs file, because of a new function in API.
  * Upload with my debian.org e-mail in Maintainer field.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 11 Nov 2005 23:07:32 +0300

libetpan (0.39.1-1) unstable; urgency=low

  * New upstream release (Closes: #329202).
  * Increased version in shlibs file, because of API_CURRENT increase.
  * Bump Standards-Version to 3.6.2, no changes needed.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Sat, 24 Sep 2005 01:08:20 +0400

libetpan (0.38-2) unstable; urgency=low

  * Changed dependency from libgnutls11-dev to libgnutls-dev, per announced
    sid change.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Fri, 29 Jul 2005 21:17:08 +0400

libetpan (0.38-1) unstable; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan3.
  * Now upstream supports SASL; enable it.
  * Increased version in shlibs file, because of new library package name,
    SASL and other API additions.


## libetpan 0.55-5dev

=== debian/changelog ===
libetpan (0.55-5dev) chinook; urgency=low

  * Upstream release - libetpan13 - fix builddeps

 -- Colin Leroy <colin@colino.net>  Fri, 29 Aug 2008 22:47:37 +0400

## libetpan 0.55-6dev

=== debian/changelog ===
libetpan (0.55-6dev) chinook; urgency=low

  * Upstream release - libetpan13 - fix builddeps

 -- Colin Leroy <colin@colino.net>  Fri, 29 Aug 2008 22:47:37 +0400

## libetpan 0.56-1dev

=== debian/changelog ===
libetpan (0.56-1dev) chinook; urgency=low

  * Upstream release - libetpan13 - fix builddeps

 -- Colin Leroy <colin@colino.net>  Fri, 29 Aug 2008 22:47:37 +0400

=== debian/control ===
Source: libetpan
Section: mail
Priority: optional
Maintainer: Nikita V. Youshchenko <yoush@debian.org>
Build-Depends: libssl-dev, libexpat1-dev
Standards-Version: 3.7.2

Package: libetpan-dev
Section: libdevel
Priority: extra
Architecture: any
#Depends: libetpan13 (= ${Source-Version}), libdb4.4-dev, libgnutls-dev, liblockfile-dev, libsasl2-dev
Depends: libetpan13 (= ${Source-Version})
Description: mail handling library - development files
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP),
 local storage (mbox/MH/maildir), message / MIME parsing.
 .
 This package provides development files for the library.

Package: libetpan13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libetpan10,libetpan11
Description: mail handling library
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP),
 local storage (mbox/MH/maildir), message / MIME parsing.
 .
 This package provides shared library files.

Package: libetpan-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: libetpan13 (= ${Source-Version})
Description: debugging symbols for libetpan
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP),
 local storage (mbox/MH/maildir), message / MIME parsing.
 .
 This package provides debugging symbols associated with libetpan.
 They will automatically be used by gdb for debugging libetpan-related
 issues.

## libetpan 0.57-1dev

=== debian/changelog ===
libetpan (0.57-1dev) chinook; urgency=low

  * Upstream release

 -- Colin Leroy <colin@colino.net>  Thu,  9 Oct 2008 07:37:44 +0200

=== debian/rules ===
#!/usr/bin/make -f

SHLIBS_VERSION = "libetpan13 (>= 0.55-1)"

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -O0
else
       CFLAGS += -O2
endif

config: config-stamp
config-stamp: patch-stamp
	dh_testdir
	# Patches could touch autotools-related files.
	# Ensure that 'config.h.in' and 'configure' are more recent than
	# 'configure.in', to avoid attempts to run autotools at build time
	sleep 1
	touch config.h.in configure
	CFLAGS="$(CFLAGS)" ./configure \
	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=/usr 
	# HACK to avoid rpath in library
	sed 's/^hardcode_into_libs=yes$$/hardcode_into_libs=no/' < libtool > libtool.tmp
	rm -f libtool && mv libtool.tmp libtool && chmod 755 libtool
	# End HACK
	touch config-stamp

build: build-stamp
build-stamp: config-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	touch install-stamp

binary: binary-arch

binary-arch: build-stamp install-stamp
	dh_testdir
	dh_testroot
	dh_installchangelogs -plibetpan13 ChangeLog
	dh_movefiles -a
	dh_installman -a
	dh_link -a
	dh_strip -a --dbg-package=libetpan-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibetpan13 -V$(SHLIBS_VERSION)
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

clean:
	dh_testdir
	dh_testroot
	rm -f config-stamp build-stamp install-stamp
	-$(MAKE) distclean
	debian/rules unpatch
	dh_clean

.PHONY: config build install clean binary-indep binary-arch binary

include /usr/share/dpatch/dpatch.make

## libetpan 0.57-1maemo1

=== debian/changelog ===
libetpan (0.57-1maemo1) fremantle; urgency=low

  * Enable SASL support
  * Enable IPv6 support

 -- Bryan Jacobs <b@q3q.us>  Fri,  1 Jan 2010 21:45:44 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Nikita V. Youshchenko <yoush@debian.org>
-Build-Depends: libssl-dev, libexpat1-dev
+Build-Depends: libssl-dev, libexpat1-dev, libsasl2-dev
 Standards-Version: 3.7.2
 
 Package: libetpan-dev

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	touch config.h.in configure
 	CFLAGS="$(CFLAGS)" ./configure \
 	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+	  --enable-ipv6 \
 	  --prefix=/usr 
 	# HACK to avoid rpath in library
 	sed 's/^hardcode_into_libs=yes$$/hardcode_into_libs=no/' < libtool > libtool.tmp

=== debian/watch ===
version=2
http://heanet.dl.sourceforge.net/l/li/libetpan/libetpan-([0-9].*)\.tar\.gz debian uupdate

## libetpan 0.57-1maemo2

=== debian/changelog ===
libetpan (0.57-1maemo2) fremantle; urgency=low

  * Add dependence on libsasl2-dev

 -- Bryan Jacobs <b@q3q.us>  Fri,  1 Jan 2010 23:45:44 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Priority: extra
 Architecture: any
 #Depends: libetpan13 (= ${Source-Version}), libdb4.4-dev, libgnutls-dev, liblockfile-dev, libsasl2-dev
-Depends: libetpan13 (= ${Source-Version})
+Depends: libetpan13 (= ${Source-Version}), libsasl2-dev
 Description: mail handling library - development files
  libEtPan! is a mail library. It may be used for low-level mail handling:
  network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP),

## libetpan 1.0

=== debian/changelog ===
libetpan (1.0-5ubuntu3) trusty; urgency=low

  * Use dh-autoreconf for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 30 Jan 2014 14:40:31 -0500

libetpan (1.0-5ubuntu2) trusty; urgency=low

  * Add db5.3 to configure scripts.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 02 Nov 2013 20:51:54 +0000

libetpan (1.0-5ubuntu1) trusty; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64 (closes: #727405).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Oct 2013 13:38:32 +0100

libetpan (1.0-5) unstable; urgency=low

  * Update build-windows/libetpan_version.h by a debian patch, not by
    configure script. Closes: #643185.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 03 Oct 2011 00:08:15 +0400

libetpan (1.0-4) unstable; urgency=low

  * Calculate libetpan-dev dependency on libdb based on what libetpan.so
    is actually, linked against, and not based on what libdb-dev depends on.
    Closes: #618965.
  * Patch configure to detect libdb-5.1.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 20 Mar 2011 14:38:11 +0300

libetpan (1.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 13 Mar 2011 16:41:33 +0300

libetpan (1.0-2) experimental; urgency=low

  * Stop providing /usr/lib/libetpan.la in -dev package (Closes: #591554).
  * Update Standards-Version to 3.9.1. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue, 10 Aug 2010 22:45:55 +0400

libetpan (1.0-1) experimental; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * New Upstream Version (Closes: #577404).
  * Upstream changed library soname; rename library package to libetpan15.
  * Update Standards-Version to 3.8.4. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 02 May 2010 12:28:23 +0400

libetpan (0.58-1) unstable; urgency=low

  * New Upstream Version.
  * Move libetpan-dbg to new section 'debug'.
  * Update Standards-Version to 3.8.2. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 21 Jun 2009 18:40:19 +0400

libetpan (0.57-2) unstable; urgency=low

  * Add a hack to compute proper libdb-dev dependency for libetpan-dev
    package, depending on what libdb-dev was used at package build time.
  * Reference /usr/share/doc/dpatch/README.source.gz in debian/README.source
    instead of citing it. 
  * Added Vcs-Git and Vcs-Browser control fields pointing to my packaging
    repository. 
  * [lintian] use sf.net redirector in debian/watch. 
  * Upload to unstable.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 22 Feb 2009 13:28:40 +0300

libetpan (0.57-1) experimental; urgency=low

  * New upstream release. Closes: #502007.
    - Removed patch 01-fix-498790 - included upstream.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 12 Oct 2008 21:15:08 +0400

libetpan (0.56-2) experimental; urgency=low

  * Added a patch by Jeremy Laine <jeremy.laine@m4x.org> to fix behaviour
    of mailmessage_get_bodystructure() for cached IMAP. Patch was confirmed
    by upstream. Closes: #498790.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sat, 27 Sep 2008 18:19:51 +0400

libetpan (0.56-1) experimental; urgency=low

  * New Upstream Version.
    - Removed patches backported previously from upstream CVS.
    - Removed patch to detect db4.6 - already upstream.
  * Updated debian/libetpan13.symbols file with new symbols found by
    dpkg-gensymbols.
  * Increase shlibs version.
    Although we have symbols file so shlibs file should not be used any
    longer, let's keep it until lenny will become stable.
  * Don't call dpkg-gensymbols manually since dh_makeshlibs does that
    automatically now.
  * Updated to Standards-Version 3.8.0.
    - Added support for parallel=n in DEB_BUILD_OPTIONS. 
    - Added debian/README.source file, using text from dpatch 2.0.30
      (this text will be replaced with a reference to origin as soon
      as origin will be included in debian stable release).
    - Added Homepage field to debian/control. 
  * Upload to experimental since we are in freeze now.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 08 Sep 2008 00:08:26 +0400

libetpan (0.54-3) unstable; urgency=medium

  * Added a patch from upstream CVS to fix possible parses crash. This issue
    is described in Fedora bugzilla at
    https://bugzilla.redhat.com/show_bug.cgi?id=451025
  * Fixed doc-base section in -doc package to match current policy.
  * Reformatted debian/copyright to avoid long lines. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Wed, 16 Jul 2008 14:06:24 +0400

libetpan (0.54-2) unstable; urgency=low

  * Take patch fixing mailimf_token_case_insensitive_parse() from upstream
    CVS. Closes: #486693.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 26 Jun 2008 12:51:44 +0400

libetpan (0.54-1) unstable; urgency=low

  * New upstream release.
  * Upstream changed library soname; rename library package to libetpan13.
  * Made shlibs file more backporting-friendly (closes one half of 467297).
  * Added symbols file for the library.
  * Recoded debian/copyright to utf-8.
  * Fixed a typo in libetpan-config manpage (thanks lintian).
  * (Build-)Depend on libdb-dev, not libdb4.x-dev.
  * Added a patch to that helps configure to find libdb4.6.
  * Bumped Standards-Version to 3.7.3.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun,  2 Mar 2008 00:22:04 +0300

libetpan (0.52-1) unstable; urgency=low

  * New upstream release.
  * Increased version in shlibs file, because of a new function in API.
  * Add libexpat1-dev and libcurl4-gnutls-dev (>= 7.16.4-5) to Build-Depends
    and to Depends of libetpan-dev package.
    Versioned dependency on libcurl4-gnutls-dev is because of #439317.
  * Updates in handling documentastion:
    - upstream tarball no longer provides txt documentation, only html,
      so no longer install API.txt.gz,
    - don't install README file since it does not contain useful information,
      only installation instructions,


=== debian/control ===
Source: libetpan
Section: mail
Priority: optional
Homepage: http://libetpan.sourceforge.net/libetpan
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nikita V. Youshchenko <yoush@debian.org>
Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>> 5), libdb-dev, libgnutls-dev, liblockfile-dev, libsasl2-dev, libexpat1-dev, libcurl4-gnutls-dev (>= 7.16.4-5), dh-autoreconf
Standards-Version: 3.9.1
Vcs-Git: git://yoush.homelinux.org/libetpan.git
Vcs-Browser: http://yoush.homelinux.org:8079/git?p=libetpan.git

Package: libetpan15
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mail handling library
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP),
 local storage (mbox/MH/maildir), message / MIME parsing.
 .
 This package provides shared library files.

Package: libetpan-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libetpan15 (= ${binary:Version}), ${libdb-dev-dependency}, libgnutls-dev, liblockfile-dev, libsasl2-dev, libexpat1-dev, libcurl4-gnutls-dev (>= 7.16.4-5), ${misc:Depends}
Suggests: libetpan-doc
Description: mail handling library - development files
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP),
 local storage (mbox/MH/maildir), message / MIME parsing.
 .
 This package provides development files for the library.

Package: libetpan-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: mail handling library - API documentation
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP),
 local storage (mbox/MH/maildir), message / MIME parsing.
 .
 This package provides library API documentation and test sources.

Package: libetpan-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libetpan15 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libetpan
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP),
 local storage (mbox/MH/maildir), message / MIME parsing.
 .
 This package provides debugging symbols associated with libetpan.
 They will automatically be used by gdb for debugging libetpan-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

SHLIBS_VERSION = "libetpan15 (>= 1.0)"

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -O0
else
       CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       MAKEFLAGS += -j$(NUMJOBS)
endif

config: config-stamp
config-stamp:
	dh_testdir
	dh_autoreconf
	# Patches could touch autotools-related files.
	# Ensure that 'config.h.in' and 'configure' are more recent than
	# 'configure.in', to avoid attempts to run autotools at build time
	#sleep 1
	#touch config.h.in configure
	CFLAGS="$(CFLAGS)" ./configure \
	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=/usr --without-openssl --with-gnutls --with-sasl \
	  --enable-unstrict-syntax
	# HACK to avoid rpath in library
	sed -i 's/^hardcode_into_libs=yes$$/hardcode_into_libs=no/' libtool
	# End HACK
	touch config-stamp

build: build-stamp
build-stamp: config-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	touch install-stamp

binary: binary-indep binary-arch

binary-indep: build-stamp install-stamp
	dh_testdir
	dh_testroot
	dh_installchangelogs -plibetpan-doc
	dh_installdocs -i -X._
	# Need to include only part of tests/ directory - don't know how to
	# do it with debhelper. -X won't help much ...
	( docdir=debian/libetpan-doc/usr/share/doc/libetpan-doc/tests; \
	  mkdir -p $$docdir; \
	  cp tests/*.[ch] tests/README tests/Makefile.am $$docdir/ )
	dh_link -i
	dh_compress -i -Xtests
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-stamp install-stamp
	dh_testdir
	dh_testroot
	( dbver=`ldd src/.libs/libetpan.so | \
	         sed -n 's/.*libdb-\([0-9]\.[0-9]\).*/libdb\1-dev/p'| \
		 head -n 1`; \
	  echo libdb-dev-dependency=$$dbver >> debian/libetpan-dev.substvars )
	dh_installchangelogs -plibetpan15 ChangeLog
	dh_movefiles -a
	dh_installdocs -plibetpan15
	dh_installman -a
	dh_link -a
	dh_strip -a --dbg-package=libetpan-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibetpan15 -V$(SHLIBS_VERSION)
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

clean:
	dh_testdir
	dh_testroot
	rm -f config-stamp build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean

.PHONY: config build install clean binary-indep binary-arch binary

## libetpan 1.5

=== debian/changelog ===
libetpan (1.5-2) unstable; urgency=high

  [ Vincent Cheng ]
  * Fix unhandled symlink to directory conversion. (Closes: #773036)

  [ Ricardo Mones ]
  * Change Vincent's patch versions and changelog entry to make it a
    regular upload and thank him very much for the patch! :)
  * Raise urgency because of RC bug.

 -- Ricardo Mones <mones@debian.org>  Wed, 07 Jan 2015 14:10:56 +0100

libetpan (1.5-1) unstable; urgency=medium

  * New upstream release: not really, identical to 1.4.1 but version
    bumped because “1.4.1 is not allowed as version number.” (sic.)
  - Builds in hurd-i386 since previous release (Closes: #686103)
  * debian/control
  - Update Depends of -dev to libgnutls28-dev (Closes: #751269)
  - Remove “Multi-Arch: same” for -dev (Closes: #751154)

 -- Ricardo Mones <mones@debian.org>  Wed, 11 Jun 2014 18:24:25 +0200

libetpan (1.4.1-2) unstable; urgency=medium

  * debian/copyright
  - Update format and content for unstable (Closes: #750176)

 -- Ricardo Mones <mones@debian.org>  Mon, 09 Jun 2014 22:50:24 +0200

libetpan (1.4.1-1) experimental; urgency=medium

  * New upstream release
  - Upstream has stopped shipping release tarballs and degraded them
    to compressed git tags: source tarball was generated from this
  - Use debhelper sequencer and bump compat level to 9
  - Enable hardening flags and multiarch-ify
  * patches/add-db5.3.patch, patches/series
  - Removed patch already in this release
  * control, rules, libetpan16.* → libetpan17.*, libetpan-*.links
  - Update soname: binary package is now libetpan17
  - Add new symbols in 1.4 (no new symbols in 1.4.1)
  - Add LDFLAGS to make (thanks lintian!)
  * control, rules
  - Removed dh_autoreconf: tarball is generated with updated autotools
  * libetpan-doc.docs, libetpan-doc.dirs, control, rules
  - Update links, add docbook-dsssl and jade to Build-Depends to be able
    to build documentation and invoke make in doc dir to build it
  * control, patches/10_unnecessary_linkage.diff, patches/series
  - Upgrade libgnutls-dev to libgnutls28-dev in Build-Depends and
    add patch to remove unnecessary linkage and allow building;
    Thanks to Andreas Metzler for the suggestion and the patch

 -- Ricardo Mones <mones@debian.org>  Sun, 25 May 2014 02:15:16 +0200

libetpan (1.1-3) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/patches
    - add add-db5.3.patch (Closes: #740506)
  * debian/rules
    - use autoreconf to apply above patch
  * debian/control
    - add "Build-Depends: dh-autoreconf" to use autoreconf
      (Maybe it's overkill but it's okay since make it DH7 style in
       a near future)

  [ Ricardo Mones ]
  * debian/control
    - Upload to unstable. Has been time enough in experimental, it's
      time to push it forward.
    - Upgrade Standards-Version to 3.9.5 (no other changes)
    - Fix Vcs-* URLs to use the canonical hostname
    - Improve descriptions a bit and rewrap some long lines.
  * debian/rules
    - Use dh-autoreconf properly (Closes: #727405)
  * Fix some changelog typos too.

 -- Ricardo Mones <mones@debian.org>  Mon, 17 Mar 2014 02:39:05 +0100

libetpan (1.1-2) experimental; urgency=low

  * debian/libetpan16.symbols
  - Remove Debian revision from symbols (thanks lintian)
  * debian/rules
  - Add build-arch and build-indep targets (thanks lintian)
  - Enable hardening: add fortify source (immediage binding
    and read-only relocation fail because of curl usage)

 -- Ricardo Mones <mones@debian.org>  Thu, 28 Jun 2012 10:48:39 +0200

libetpan (1.1-1) experimental; urgency=low

  * New upstream release (Closes: #678970)
  * debian/control
  - New maintainer, set Nikita as uploader. Many thanks for your
    work on libEtPan! all those years.
  - Updated Standards-Version to 3.9.3 (no other changes)
  - Switched Vcs- headers to git.debian.org
  * patches/*.patch, patches/series
  - Removed patches, both already upstream
  * control, rules, libetpan15.*
  - Updated soname: binary package is now libetpan16
  - Updated symbols file: mailimap_idle_get_done_date renamed to
    mailimap_idle_get_done_delay.

 -- Ricardo Mones <mones@debian.org>  Thu, 28 Jun 2012 01:55:18 +0200

=== debian/control ===
Source: libetpan
Section: mail
Priority: optional
Homepage: http://libetpan.sourceforge.net/libetpan
Maintainer: Ricardo Mones <mones@debian.org>
Uploaders: Nikita V. Youshchenko <yoush@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libtool, libdb-dev,
 libgnutls28-dev, liblockfile-dev, libsasl2-dev, libexpat1-dev,
 libcurl4-gnutls-dev (>= 7.16.4-5), docbook-dsssl, jade
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/users/mones/libetpan.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/mones/libetpan.git

Package: libetpan17
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mail handling library
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP with or without SSL),
 local storage (mbox/MH/maildir) and message/MIME parsing.
 .
 This package provides shared library files.

Package: libetpan-dev
Section: libdevel
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libetpan17 (= ${binary:Version}),
 libgnutls28-dev, liblockfile-dev, libsasl2-dev, libexpat1-dev,
 libcurl4-gnutls-dev (>= 7.16.4-5)
Suggests: libetpan-doc
Description: mail handling library - development files
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP with or without SSL),
 local storage (mbox/MH/maildir) and message/MIME parsing.
 .
 This package provides development files for the library.

Package: libetpan-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: mail handling library - API documentation
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP with or without SSL),
 local storage (mbox/MH/maildir) and message/MIME parsing.
 .
 This package provides library API documentation and test sources.

Package: libetpan-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: libetpan17 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libetpan
 libEtPan! is a mail library. It may be used for low-level mail handling:
 network protocols (IMAP/NNTP/POP3/SMTP over TCP/IP with or without SSL),
 local storage (mbox/MH/maildir) and message/MIME parsing.
 .
 This package provides debugging symbols associated with libetpan.
 They will automatically be used by gdb when debugging libetpan-related
 issues.
